{
  "schema_version": "1.4.0",
  "id": "GHSA-ff87-x3fm-p744",
  "modified": "2025-04-09T03:51:14Z",
  "published": "2022-05-01T23:32:12Z",
  "aliases": [
    "CVE-2008-0668"
  ],
  "details": "The excel_read_HLINK function in plugins/excel/ms-excel-read.c in Gnome Office Gnumeric before 1.8.1 allows user-assisted remote attackers to execute arbitrary code via a crafted XLS file containing XLS HLINK opcodes, possibly because of an integer signedness error that leads to an integer overflow.  NOTE: some of these details are obtained from third party information.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-0668"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00114.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-February/msg00227.html"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=208356"
    },
    {
      "type": "WEB",
      "url": "http://bugzilla.gnome.org/show_bug.cgi?id=505330"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-08/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28725"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28799"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28948"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29702"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29896"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31339"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200802-05.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1546"
    },
    {
      "type": "WEB",
      "url": "http://www.gnome.org/projects/gnumeric/announcements/1.8/gnumeric-1.8.1.shtml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:056"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/27536"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-604-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/0462"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-02-11T21:00:00Z"
  }
}